<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');



class Listen_Bcash_Teste extends CI_Controller{

    

    public function __construct() {

        parent::__construct();

        $this->load->model('certificados_model', 'tm');

    }

   

    public function index(){
        echo "aqui";
       // $id="IMAZONVIPCERT43800617";

        //$status=3;

        //$tipo_pagamento=10;

		

		

		$emailLoja   = 'suporte@curso.me';

		$chaveAcesso = '';

		$pedido = "";

		$pgto = "";



		$pedido =$_POST['pedido'];

		

		$str=$_POST['pedido'];

       

		

		

		$transacao_id=$_POST['transacao_id'];

		$status = $_POST['status'];

		$urlPost 	 =	"https://www.bcash.com.br/transacao/consulta/";

		$tipoRetorno =	"2";  // 1 = XML      e    2 = JSON

		//$codificacao =	"1"; //  1 = UTF-8    e    2 = ISO-8859-1



		ob_start();

		$ch = curl_init(); 

		curl_setopt($ch, CURLOPT_URL, $urlPost);

		curl_setopt($ch, CURLOPT_POST, 1);

		curl_setopt($ch, CURLOPT_POSTFIELDS, array('id_pedido'=>'142753539','tipo_retorno'=>$tipoRetorno,'codificacao'=>		$codificacao));

		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Authorization: Basic '.base64_encode($emailLoja. ':'.$chaveAcesso)));



		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);

		curl_exec ($ch); 

		$resposta = ob_get_contents(); 

		ob_end_clean(); 		

		$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

	        curl_close($ch);

	

		print_r($resposta);

		

		

       

		

		

		

    }



}